1

I am developing a webpage using JSAPI for ArcGIS server. I keep on getting this error on console :

'webkitMovementX' is deprecated. Please use 'movementX' instead

what dose this error message mean, and is there a way to prevent the error?

I am calling map services of ArcGIS 10.3 server and this is what I reference for code:

rel="stylesheet" href="http://js.arcgis.com/3.13/dijit/themes/nihilo/nihilo.css"

rel="stylesheet" href="http://js.arcgis.com/3.13/esri/css/esri.css"

rel="stylesheet" href="inc/layout.css"

script src="http://js.arcgis.com/3.13/"

I am using Chrome Version 45.0.2454.101 m

1

sorry for being pedantic, but its not actually an error, but rather just a warning being logged into the console.

console.warn('hello') // different than an uncaught exception bubbling up

it comes from dojo because of code present in the ArcGIS API for JavaScript itself and can be safely ignored.

  • John, as a matter of fact you are more accurate, it is a warning not an error, and the application works just fine with it. BUT are you saying that it is due to ArcGIS API being behind dojo's latest version ? – Ahmed Saad Oct 12 '15 at 22:39
  • not sure exactly. my best guess is that Dojo is warning about code it sees that wouldn't be compatible with version 2.0 of their own API in the future. – John Gravois Oct 12 '15 at 22:47
  • Well you answer dose explain it. I guess will have to live with it till its handled in next versions of ArcGIS API. Thank you. – Ahmed Saad Oct 12 '15 at 22:55

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.